<html lang="en">
<head>
<title>Information from the DTD - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Managing-the-DTD.html#Managing-the-DTD" title="Managing the DTD">
<link rel="prev" href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE" title="Inserting a DOCTYPE">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Information-from-the-DTD"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">Inserting a DOCTYPE</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">7.4 Information from the DTD</h3>

<p><a name="index-DTD-50"></a><a name="index-Element-51"></a>
PSGML can list various information about the current DTD. 
The following commands can be used via <kbd>M-x</kbd> and
can also be found in the DTD menu.

     
<a name="index-sgml_002dgeneral_002ddtd_002dinfo-52"></a>
<dl><dt><code>sgml-general-dtd-info</code><dd>Display information about the current DTD.

     <p><a name="index-sgml_002ddescribe_002delement_002dtype-53"></a><br><dt><code>sgml-describe-element-type</code><dd>Describe the properties of an element type as declared in the current DTD.

     <p><a name="index-entity-54"></a><a name="index-sgml_002ddescribe_002dentity-55"></a><br><dt><code>sgml-describe-entity</code><dd>Describe the properties of an entity as declared in the current DTD.

     <p><a name="index-sgml_002dlist_002delements-56"></a><br><dt><code>sgml-list-elements</code><dd>Will list all elements and the attributes declared for the element.

     <p><a name="index-sgml_002dlist_002dattributes-57"></a><br><dt><code>sgml-list-attributes</code><dd>  Will list all attributes declared and the elements that use them.

     <p><a name="index-sgml_002dlist_002dterminals-58"></a><br><dt><code>sgml-list-terminals</code><dd>Will list all elements that can contain data.

     <p><a name="index-sgml_002dlist_002doccur_002din_002delements-59"></a><br><dt><code>sgml-list-occur-in-elements</code><dd>Will list all element types and where it can occur.

     <p><a name="index-sgml_002dlist_002dcontent_002delements-60"></a><br><dt><code>sgml-list-content-elements</code><dd>Will list all element types and the element types that can occur
in its content. 
</dl>

<!--  -->
</body></html>

